Package: org.codehaus.groovy.control.io

## [Java] Class FileReaderSource

- org.codehaus.groovy.control.io.FileReaderSource

-     public class FileReaderSource
      extends AbstractReaderSource

  A ReaderSource for source files.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractReaderSource` | `configuration`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FileReaderSource(File file, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public File` | `getFile()`
    `` | `public Reader` | `getReader()` Returns a new Reader on the underlying source object.
    `` | `public URI` | `getURI()` Returns a URI for the file of this source.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractReaderSource` | `canReopenSource, cleanup, getLine`

- - ### Constructor Detail

    - #### public FileReaderSource(File file, CompilerConfiguration configuration)

      Creates the ReaderSource from a File descriptor.

      Parameters:
        `file` - script source file
        `configuration` - configuration for compiling source

  - ### Method Detail

    - #### public File getFile()

    - #### @Override
      public Reader getReader()

      Returns a new Reader on the underlying source object.

    - #### @Override
      public URI getURI()

      Returns a URI for the file of this source.

      Returns:
        URI for the file of this source.